Page MenuHome

UI Cleanup to VSE 'N' Panel
ClosedPublic

Authored by Aaron Carlisle (Blendify) on Dec 28 2016, 9:24 PM.

Details

Summary

The goal is to reduce wasted space and improve clarity in the 'N' panel of the VSE through layout changes. The changes are intentional conservative to avoid making people re-learn anything.

Diff Detail

Repository
rB Blender

Event Timeline

Mike Pan (mpan3) retitled this revision from to UI Cleanup to VSE 'N' Panel.
Mike Pan (mpan3) updated this object.
Mike Pan (mpan3) set the repository for this revision to rB Blender.
Mike Pan (mpan3) updated this object.
Mike Pan (mpan3) updated this object.

So do we agree that properties of similar types (i.e. Start/End, X/Y be one the same line?

Yes, I personally don't see any issue with the grouping X/Y or Start/End into one line. It makes the control more compact, without losing any readability.

Julian Eisel (Severin) requested changes to this revision.Feb 10 2017, 5:59 PM

The patch seems to be created the wrong way around, the new code should be the one highlighted in green on the right-hand side. Other than that and a few commented things, I think this is ready to go. UI-wise I'm mostly fine with the changes.

Just requesting changes since patch is kinda malformed which can confuse further reviewers or people checking the patch after it's been committed. If that's corrected I'm ready to accept it.

release/scripts/startup/bl_ui/space_sequencer.py
39

No need for a blank line :)

41–47

I'd guess this is a perfect case for the new GridFlow layout (D2395). The color wheel and the other buttons would automatically jump from a row layout into a column layout if space gets too limited.
Also, I'd keep the "Lift:" at the top of the box, now it looks too much like it refers to the buttons beneath it, not so much to the entire box.
Same comment applies to the two other cases as well, obviously.

48–50

There should only be a single empty line in-between regular blocks.

This revision now requires changes to proceed.Feb 10 2017, 5:59 PM
This comment was removed by Mike Pan (mpan3).
Mike Pan (mpan3) edited edge metadata.

Revised patch direction since I botched it the first time.

@Mike Pan (mpan3) It seems there are still some pending review requests, other than that I like the changes.

@Mike Pan (mpan3) will you be around to get this in for 2.79 if not do you mind if I update it with the requested review?

Feel free to amend the patch as you see fit. Would be great to see this in 2.79.

This revision now requires changes to proceed.May 5 2017, 3:47 PM

From review:

  • Cleanup formating
  • Move ui label for the color balance
Aaron Carlisle (Blendify) marked 2 inline comments as done.
Aaron Carlisle (Blendify) marked an inline comment as done.May 6 2017, 3:56 PM

Went over the patch just really quickly again, looking almost good (didn't test latest version though).

release/scripts/startup/bl_ui/space_sequencer.py
39

Variable name should match the layout type it represents, so in this case:
box = layout.box().

49

box = layout.box()

59

box = layout.box()

796

row = layout.row(align=True)

1005

split = layout.split(percentage=0.6)

This revision is now accepted and ready to land.May 6 2017, 6:54 PM
  • Update from review

@Julian Eisel (Severin) shall I comment or do you want to give it a final test?

Aaron Carlisle (Blendify) marked 4 inline comments as done.May 7 2017, 9:14 PM
Aaron Carlisle (Blendify) marked an inline comment as done.

Feel free to commit, I'm sure if something breaks you'll be around to fix it ;)

Oh, and I guess you should update the manual and add a note to release logs.

This revision was automatically updated to reflect the committed changes.

Piggybacking on this thread to get feedback since it's the N panel as well. This issue was there before but not tackled by this patch (it only added an icon to the operator button).


In "Path", the text input has a little folder icon to change the path. The "Change Data/Files" button does exactly that but for files. Wouldn't it make more sense to have the "Change Data/Files" operator as a folder icon next to the File input?

It would definitely look more consistent, while using the same approach as we do in the fields right above it.

Mockup: